Loading...
Searching...
No Matches
casacore::LELBinaryEnums Class Reference
lattices package (libcasa_lattices) » LEL_module » LEL_module_internal_classes

More...

`#include <LELBinaryEnums.h>`

## Public Types

enum | Operation { ADD , SUBTRACT , MULTIPLY , DIVIDE , AND , OR , EQ , GT , GE , NE , NOPS }

## Detailed Description

Each LEL binary operation is described in this enum

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- Lattice
- LatticeExpr
- LatticeExprNode
- LELInterface
- LELBinary

### Etymology

This enum provides a value for each binary operation accepted by the Lattice Expression Language classes.

### Synopsis

Each binary operator accepted by the bridging class LatticeExprNode and passed on to the LELBinary letter classes is labelled internally with a value from this enum.

Definition at line 62 of file LELBinaryEnums.h.

## Member Enumeration Documentation

## Operation

enum casacore::LELBinaryEnums::Operation

Enumerator
ADD | Addition.
SUBTRACT | Subtraction.
MULTIPLY | Multiplication.
DIVIDE | Division.
AND | Logical and.
OR | Logical or.
EQ | ==

GT

> (and reversed <)

GE | >= (and reversed <=)
NE | !=
NOPS | Total number.

Definition at line 65 of file LELBinaryEnums.h.

The documentation for this class was generated from the following file:

- lattices/LEL/LELBinaryEnums.h